#!/bin/sh
#
# $FreeBSD: ports/irc/dancer-ircd/files/dancer-ircd.sh,v 1.2 2004/04/19 16:42:15 knu Exp $
#

# PROVIDE: dancer-ircd
# KEYWORD: FreeBSD

. /usr/local/etc/rc.subr

name=dancer_ircd
rcvar=`set_rcvar`

command=/usr/local/sbin/dancer-ircd
pidfile=/var/run/dancer-ircd/dancer-ircd.pid
required_files=/usr/local/etc/dancer-ircd/ircd.conf

[ -z "$dancer_ircd_enable" ] && dancer_ircd_enable=NO
[ -z "$dancer_ircd_user" ] && dancer_ircd_user=ircd

load_rc_config $name

run_rc_command "$1"
